import { PromiseHandler } from "@lambda-middleware/utils";
import { Context } from "aws-lambda";
import { ClassValidatorMiddlewareOptions } from "./interfaces/ClassValidatorMiddlewareOptions";
export declare type WithBody<Event, Body> = Omit<Event, "body"> & {
    body: Body;
};
export declare const classValidator: <E extends {
    body: string | null;
}, R, T extends object>(options: ClassValidatorMiddlewareOptions<T>) => (handler: PromiseHandler<WithBody<E, T>, R>) => (event: E, context: Context) => Promise<R>;
